VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::localaccounts::UserStub Class Reference

Remote stub implementation of the User API service. More...

Inherits vmware::appliance::techpreview::localaccounts::User.

List of all members.

## Public Member Functions
| UserStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Delete (string username)
| Delete a local user account.
void | Delete (string username, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete a local user account.
global::System.Threading.Tasks.Task | DeleteAsync (string username)
| Delete a local user account.
global::System.Threading.Tasks.Task | DeleteAsync (string username, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Delete a local user account.
void | Add (vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig config)
| Create a new local user account.
void | Add (vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Create a new local user account.
global::System.Threading.Tasks.Task | AddAsync (vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig config)
| Create a new local user account.
global::System.Threading.Tasks.Task | AddAsync (vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Create a new local user account.
void | Set (vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig config)
| Update local user account properties role, full name, enabled status and password.
void | Set (vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Update local user account properties role, full name, enabled status and password.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig config)
| Update local user account properties role, full name, enabled status and password.
global::System.Threading.Tasks.Task | SetAsync (vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig config, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Update local user account properties role, full name, enabled status and password.
global::System.Collections.Generic.List < vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet > | List ()
| List of local accounts.
global::System.Collections.Generic.List < vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| List of local accounts.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet > > | ListAsync ()
| List of local accounts.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| List of local accounts.
vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet | Get (string username)
| Get the local user account information.
vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet | Get (string username, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the local user account information.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet > | GetAsync (string username)
| Get the local user account information.
global::System.Threading.Tasks.Task < vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet > | GetAsync (string username, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get the local user account information.

## Detailed Description

Remote stub implementation of the User API service.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::localaccounts::UserStub::UserStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::appliance::techpreview::localaccounts::UserStub::Add | ( | vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig | config | ) | `[inline]`

Create a new local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

void vmware::appliance::techpreview::localaccounts::UserStub::Add | ( | vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Create a new local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::localaccounts::UserStub::AddAsync | ( | vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Create a new local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::localaccounts::UserStub::AddAsync | ( | vmware.appliance.techpreview.localaccounts.UserTypes.NewUserConfig | config | ) | `[inline]`

Create a new local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

void vmware::appliance::techpreview::localaccounts::UserStub::Delete | ( | string | username | ) | `[inline]`

Delete a local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.

Implements vmware::appliance::techpreview::localaccounts::User.

void vmware::appliance::techpreview::localaccounts::UserStub::Delete | ( | string | username,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete a local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::localaccounts::UserStub::DeleteAsync | ( | string | username,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Delete a local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::localaccounts::UserStub::DeleteAsync | ( | string | username | ) | `[inline]`

Delete a local user account.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.

Implements vmware::appliance::techpreview::localaccounts::User.

vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet vmware::appliance::techpreview::localaccounts::UserStub::Get | ( | string | username | ) | `[inline]`

Get the local user account information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.

Returns:
  local user account information

Implements vmware::appliance::techpreview::localaccounts::User.

vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet vmware::appliance::techpreview::localaccounts::UserStub::Get | ( | string | username,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get the local user account information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  local user account information

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet> vmware::appliance::techpreview::localaccounts::UserStub::GetAsync | ( | string | username | ) | `[inline]`

Get the local user account information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.

Returns:
  local user account information

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task<vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet> vmware::appliance::techpreview::localaccounts::UserStub::GetAsync | ( | string | username,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get the local user account information.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  username | User login name.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  local user account information

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Collections.Generic.List<vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet> vmware::appliance::techpreview::localaccounts::UserStub::List | ( |  | ) | `[inline]`

List of local accounts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Collections.Generic.List<vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet> vmware::appliance::techpreview::localaccounts::UserStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

List of local accounts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet> > vmware::appliance::techpreview::localaccounts::UserStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

List of local accounts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<vmware.appliance.techpreview.localaccounts.UserTypes.UserConfigGet> > vmware::appliance::techpreview::localaccounts::UserStub::ListAsync | ( |  | ) | `[inline]`

List of local accounts.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

void vmware::appliance::techpreview::localaccounts::UserStub::Set | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Update local user account properties role, full name, enabled status and password.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::localaccounts::User.

void vmware::appliance::techpreview::localaccounts::UserStub::Set | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig | config | ) | `[inline]`

Update local user account properties role, full name, enabled status and password.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::localaccounts::UserStub::SetAsync | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig | config,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Update local user account properties role, full name, enabled status and password.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::appliance::techpreview::localaccounts::User.

global::System.Threading.Tasks.Task vmware::appliance::techpreview::localaccounts::UserStub::SetAsync | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserConfig | config | ) | `[inline]`

Update local user account properties role, full name, enabled status and password.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Parameters:

  config | User configuration.

Implements vmware::appliance::techpreview::localaccounts::User.

The documentation for this class was generated from the following file:

- UserStub.cs